Subject: Re: bug#59700: [DOCUMENTATION] [PATCH] doc: Move %facebook-host-aliases to operating-system.

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 05 Jan 2023 11:23:05 -0500

Hi,

mirai <[email-masked]> writes:

> On 2023-01-03 22:01, Maxim Cournoyer wrote:
>> Moving %facebook-hosts-aliases to under the 'operating-system Reference'
>> from network services doesn't seem an improvement to me (it seems even
>> more out of place to me).
>
> I placed it under 'operating-system Reference' because of the proximity to 'hosts-file' field
> and the usage example seems to suggest it's a better fit here.
>
>> 
>> I'd err on the side of the status quo.
>> 
>> What do you think?
>
> I think its current location (Network services) is extremely strange as %facebook-host-aliases
> is not a service and given the usage example it fits better elsewhere.

I gathered another opinion on #guix from civodul, which thought status
quo is appropriate, though they mentioned turning host-file into a
service would be nice to make it more extendable.  Perhaps you could
look into this, if you want to improve things in that direction?

-- 
Thanks,
Maxim